Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.query
Class SortCondition

    java.lang.Object
      com.hp.hpl.jena.sparql.util.PrintSerializableBase
          com.hp.hpl.jena.query.SortCondition

All Implemented Interfaces:
  com.hp.hpl.jena.sparql.util.Printable, com.hp.hpl.jena.sparql.util.PrintSerializable

    public class SortCondition

extends com.hp.hpl.jena.sparql.util.PrintSerializableBase

Field Summary
`int` | `direction`
`com.hp.hpl.jena.sparql.expr.Expr` | `expression`

Constructor Summary
`SortCondition(com.hp.hpl.jena.sparql.expr.Expr expr, int dir)`
`SortCondition(com.hp.hpl.jena.graph.Node var, int dir)`
`SortCondition(com.hp.hpl.jena.sparql.core.Var var, int dir)`

Method Summary
`boolean` | `equals(java.lang.Object other)`
`void` | `format(com.hp.hpl.jena.sparql.serializer.FmtExpr fmt, com.hp.hpl.jena.sparql.util.IndentedWriter writer)`
`int` | `getDirection()`
`com.hp.hpl.jena.sparql.expr.Expr` | `getExpression()`
`int` | `hashCode()`
`void` | `output(com.hp.hpl.jena.sparql.util.IndentedWriter out, com.hp.hpl.jena.sparql.serializer.SerializationContext sCxt)`

Methods inherited from class com.hp.hpl.jena.sparql.util.PrintSerializableBase
`output, toString, toString`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### expression

    public com.hp.hpl.jena.sparql.expr.Expr expression

### direction

    public int direction

Constructor Detail

### SortCondition

    public SortCondition(com.hp.hpl.jena.sparql.core.Var var,
                         int dir)

### SortCondition

    public SortCondition(com.hp.hpl.jena.graph.Node var,
                         int dir)

### SortCondition

    public SortCondition(com.hp.hpl.jena.sparql.expr.Expr expr,
                         int dir)

Method Detail

### format

    public void format(com.hp.hpl.jena.sparql.serializer.FmtExpr fmt,
                       com.hp.hpl.jena.sparql.util.IndentedWriter writer)

### getDirection

    public int getDirection()

  Returns:
    Returns the direction.

### getExpression

    public com.hp.hpl.jena.sparql.expr.Expr getExpression()

  Returns:
    Returns the expression.

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object other)

  Overrides:
    `equals` in class `java.lang.Object`

### output

    public void output(com.hp.hpl.jena.sparql.util.IndentedWriter out,
                       com.hp.hpl.jena.sparql.serializer.SerializationContext sCxt)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP